Subject: Re: [PATCH v2 net-next 11/11] netfilter: nft_set_rbtree: validate open interval overlap

From: Jakub Kicinski <[email-masked]>
Date: Tue, 10 Feb 2026 19:56:01 -0800

On Tue, 10 Feb 2026 16:29:40 +0100 Florian Westphal wrote:
> Paolo Abeni <[email-masked]> wrote:
> > On 2/6/26 4:30 PM, Florian Westphal wrote:  
> > > @@ -515,6 +553,12 @@ static int __nft_rbtree_insert(const struct net *net, const struct nft_set *set,
> > >  	    nft_rbtree_interval_end(rbe_ge) && nft_rbtree_interval_end(new))
> > >  		return -ENOTEMPTY;
> > >  
> > > +	/* - start element overlaps an open interval but end element is new:
> > > +	 *   partial overlap, reported as -ENOEMPTY.  
> > 
> > AI noticed a typo above, should be: -ENOTEMPTY.
> > 
> > Given the timeline, a repost will land into the next cycle. I guess it's
> > better to merge this as-is and eventually follow-up later.  
> 
> Thanks.  Comments are for humans not machines so I think its fine.
> 
> That said, I will try to set up some form of AI code review here for
> future MRs.

FWIW if you have a patchwork where patches are queued and a tree on
kernel.org against which you test -- I can hook up our AI bot to your
patchwork instance.